! operations: un module qui contient des operations utiles 
! que l'on fait tout le temps. Auteur: M. Planeto. 03/03/2013
MODULE operations
IMPLICIT NONE
CONTAINS
  integer*8 FUNCTION chgtsigne(i)
    integer*8 :: i
    chgtsigne = -i
  END FUNCTION chgtsigne

  double precision FUNCTION divide(i,j)
    integer*8 :: i,j
    ! sans les dble(), on ferait la division euclidienne ...
    divide = dble(i) / dble(j)
  END FUNCTION divide
END MODULE operations
